%define contentdir /var/www

Summary: Basic authentication for the Apache web server using a PostgreSQL database.
Name: mod_auth_pgsql
Version: 2.0.1
Release: 7.1
Group: System Environment/Daemons
URL: http://www.giuseppetanzilli.it/mod_auth_pgsql2/
Source: http://www.giuseppetanzilli.it/mod_auth_pgsql2/dist/mod_auth_pgsql-%{version}.tar.gz
Source1: auth_pgsql.conf
Patch0: mod_auth_pgsql-2.0.1-nonpgsql.patch
Patch1: mod_auth_pgsql-2.0.1-pgconn.patch
Patch2: mod_auth_pgsql-2.0.1-static.patch
Patch3: mod_auth_pgsql-2.0.1-ruser.patch
Patch4: mod_auth_pgsql-2.0.1-CVE-2005-3656.patch
License: Apache Software License
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: httpd-devel >= 2.0.40-6, postgresql-devel
Requires: httpd >= 2.0.40
Requires: httpd-mmn = %(cat %{_includedir}/httpd/.mmn || echo missing)

%description
mod_auth_pgsql can be used to limit access to documents served by a web server
by checking fields in a table in a PostgresQL database.

%prep
%setup -q
%patch0 -p1 -b .nonpgsql
%patch1 -p1 -b .pgconn
%patch2 -p1 -b .static
%patch3 -p1 -b .ruser
%patch4 -p1 -b .cve3656

%build
%{_sbindir}/apxs -Wc,-Wall -Wc,-Wformat-security -c %{name}.c -lpq

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/httpd/modules
install -m755 .libs/%{name}.so $RPM_BUILD_ROOT%{_libdir}/httpd/modules

# Install the config file
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
install -m 644 $RPM_SOURCE_DIR/auth_pgsql.conf \
   $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/

# Install the manual
mkdir -p $RPM_BUILD_ROOT%{contentdir}/manual/mod
cp *.html $RPM_BUILD_ROOT%{contentdir}/manual/mod

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README INSTALL
%{contentdir}/manual/mod/*.html
%{_libdir}/httpd/modules/*.so
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf

%changelog
* Thu Jan  5 2006 Joe Orton <jorton@redhat.com> 2.0.1-7.1
- add security fix for CVE-2005-3656
- fix r->user use
- don't strip .so file so debuginfo works

* Thu Sep 23 2004 Joe Orton <jorton@redhat.com> 2.0.1-5
- merge from Taroon:
 * don't re-use database connections (#115496)
 * make functions static
 * downgrade "not configured" log message from warning to debug

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 13 2003 Joe Orton <jorton@redhat.com> 2.0.1-2
- rebuild for httpd-2.0.45

* Tue May 13 2003 Gary Benson <gbenson@redhat.com> 2.0.1-1
- upgrade to 2.0.1.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 0.9.12-14
- rebuilt

* Mon Jan 13 2003 Joe Orton <jorton@redhat.com> 0.9.12-13
- rebuild for new libpq

* Wed Nov  6 2002 Joe Orton <jorton@redhat.com> 0.9.12-12
- rebuild in new environment

* Mon Sep  2 2002 Joe Orton <jorton@redhat.com> 0.9.12-11
- require httpd-mmn to enforce module ABI compatibility

* Fri Aug 29 2002 Gary Benson <gbenson@redhat.com> 0.9.12-10
- add some examples to /etc/httpd/conf.d/auth_pgsql.conf (#71318)

* Mon Aug 12 2002 Gary Benson <gbenson@redhat.com> 0.9.12-9
- rebuild against httpd-2.0.40

* Fri Jun 21 2002 Gary Benson <gbenson@redhat.com> 0.9.12-8
- move /etc/httpd2 back to /etc/httpd

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.9.12-7
- automated rebuild

* Fri May 31 2002 Gary Benson <gbenson@redhat.com> 0.9.12-6
- port to httpd-2.0
- add the config file
- put the manual in with the Apache manual
- license is Apache Software License

* Sun May 26 2002 Tim Powers <timp@redhat.com> 0.9.12-5
- automated rebuild

* Mon May 20 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.9.12-4
- Rebuild 

* Wed Feb 27 2002 Nalin Dahyabhai <nalin@redhat.com> 0.9.12-2
- rebuild

* Fri Jan 18 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.9.12-1
- 0.9.12

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Nov 20 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.9.11-1
- 0.9.11

* Wed Oct 10 2001 Tim Powers <timp@redhat.com> 0.9.9-3
- rebuilt against posgress for ia64

* Wed Oct 10 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.9.9-2
- Fix MD5 password authentication

* Wed Sep 26 2001 Nalin Dahyabhai <nalin@redhat.com> 0.9.9-1
- update to 0.9.9

* Wed Sep 19 2001 Nalin Dahyabhai <nalin@redhat.com> 0.9.8-2
- add patch from Andreas Hasenack to close more string injection problems

* Wed Sep  5 2001 Nalin Dahyabhai <nalin@redhat.com> 0.9.8-1
- update to 0.9.8, fixing problems detailed at
  http://cert.uni-stuttgart.de/advisories/apache_auth.php

* Fri May 25 2001 Nalin Dahyabhai <nalin@redhat.com>
- initial package
